import 'package:anyway/domain/entities/landmark.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class IntermediateLandmarksNotifier extends Notifier<List<Landmark>> {
    @override
    List<Landmark> build() => [];

    void setLandmarks(List<Landmark> landmarks) {
        state = List.unmodifiable(landmarks);
    }

    void clear() => state = [];
}

final intermediateLandmarksProvider =
        NotifierProvider<IntermediateLandmarksNotifier, List<Landmark>>(IntermediateLandmarksNotifier.new);
